IPSECKEYRecord (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class IPSECKEYRecord

- java.lang.Object
- - org.xbill.DNS.Record
  - - org.xbill.DNS.IPSECKEYRecord

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable

      public class IPSECKEYRecord
      extends Record

  IPsec Keying Material (RFC 4025)
  Author:
    Brian Wellington
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IPSECKEYRecord.Algorithm`
    `static class` | `IPSECKEYRecord.Gateway`

  - ### Field Summary

    - ### Fields inherited from class org.xbill.DNS.Record

      `dclass, name, ttl, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IPSECKEYRecord(Name name, int dclass, long ttl, int precedence, int gatewayType, int algorithmType, Object gateway, byte[] key)` Creates an IPSECKEY Record from the given data.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAlgorithmType()` Returns the record's algorithm type.
    `Object` | `getGateway()` Returns the record's gateway.
    `int` | `getGatewayType()` Returns the record's gateway type.
    `byte[]` | `getKey()` Returns the record's public key
    `int` | `getPrecedence()` Returns the record's precedence.

    - ### Methods inherited from class org.xbill.DNS.Record

      `byteArrayFromString, byteArrayToString, compareTo, equals, fromString, fromString, fromWire, getAdditionalName, getDClass, getName, getRRsetType, getTTL, getType, hashCode, newRecord, newRecord, newRecord, newRecord, rdataToString, rdataToWireCanonical, sameRRset, toString, toWire, toWireCanonical, unknownToString, withName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IPSECKEYRecord

          public IPSECKEYRecord(Name name,
                        int dclass,
                        long ttl,
                        int precedence,
                        int gatewayType,
                        int algorithmType,
                        Object gateway,
                        byte[] key)

      Creates an IPSECKEY Record from the given data.
      Parameters:
        `precedence` - The record's precedence.
        `gatewayType` - The record's gateway type.
        `algorithmType` - The record's algorithm type.
        `gateway` - The record's gateway.
        `key` - The record's public key.

  - ### Method Detail

    - #### getPrecedence

          public int getPrecedence()

      Returns the record's precedence.

    - #### getGatewayType

          public int getGatewayType()

      Returns the record's gateway type.

    - #### getAlgorithmType

          public int getAlgorithmType()

      Returns the record's algorithm type.

    - #### getGateway

          public Object getGateway()

      Returns the record's gateway.

    - #### getKey

          public byte[] getKey()

      Returns the record's public key